Loading...
Searching...
No Matches
blast-parser-parser.h File Reference
`#include <string>`
`#include "rostlab/blast-result.h"`
`#include <cstdlib>`
`#include <iostream>`
`#include <stdexcept>`
`#include <vector>`
`#include "rostlab/blast-parser-location.h"`
Include dependency graph for blast-parser-parser.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | rostlab::blast::parser
| A Bison parser. More...
union | rostlab::blast::parser::value_type
| Symbol semantic values. More...
struct | rostlab::blast::parser::syntax_error
| Syntax errors thrown from user actions. More...
struct | rostlab::blast::parser::token
| Token kinds. More...
struct | rostlab::blast::parser::symbol_kind
| Symbol kinds. More...
struct | rostlab::blast::parser::basic_symbol< Base >
struct | rostlab::blast::parser::by_kind
| Type access provider for token (enum) based symbols. More...
struct | rostlab::blast::parser::symbol_type
| "External" symbols: returned by the scanner. More...
class | rostlab::blast::parser::context
class | rostlab::blast::parser::stack< T, S >::slice
| Present a slice of the top of a stack. More...

## Namespaces

namespace | rostlab
namespace | rostlab::blast

## Macros

#define | YY_CPLUSPLUS 199711L
#define | YY_MOVE
#define | YY_MOVE_OR_COPY copy
#define | YY_MOVE_REF(Type)
#define | YY_RVREF(Type)
#define | YY_COPY(Type)
#define | YY_NOEXCEPT
#define | YY_NOTHROW throw ()
#define | YY_CONSTEXPR
#define | YY_ATTRIBUTE_PURE
#define | YY_ATTRIBUTE_UNUSED
#define | YY_USE(E)
#define | YY_INITIAL_VALUE(Value)
#define | YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
#define | YY_IGNORE_MAYBE_UNINITIALIZED_END
#define | YY_IGNORE_USELESS_CAST_BEGIN
#define | YY_IGNORE_USELESS_CAST_END
#define | YY_CAST(Type, Val)
#define | YY_REINTERPRET_CAST(Type, Val)
#define | YY_NULLPTR ((void*)0)
#define | YYDEBUG 1

## Macro Definition Documentation

## YY_ATTRIBUTE_PURE

#define YY_ATTRIBUTE_PURE

Definition at line 106 of file blast-parser-parser.h.

## YY_ATTRIBUTE_UNUSED

#define YY_ATTRIBUTE_UNUSED

Definition at line 114 of file blast-parser-parser.h.

## YY_CAST

#define YY_CAST | ( |  | Type,
|  |  | Val )

Value:
((Type) (Val))

Definition at line 167 of file blast-parser-parser.h.

## YY_CONSTEXPR

#define YY_CONSTEXPR

Definition at line 97 of file blast-parser-parser.h.

## YY_COPY

#define YY_COPY | ( |  | Type | ) |

Value:
const Type&

Definition at line 81 of file blast-parser-parser.h.

## YY_CPLUSPLUS

#define YY_CPLUSPLUS 199711L

Definition at line 66 of file blast-parser-parser.h.

## YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN

#define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN

Definition at line 143 of file blast-parser-parser.h.

## YY_IGNORE_MAYBE_UNINITIALIZED_END

#define YY_IGNORE_MAYBE_UNINITIALIZED_END

Definition at line 144 of file blast-parser-parser.h.

## YY_IGNORE_USELESS_CAST_BEGIN

#define YY_IGNORE_USELESS_CAST_BEGIN

Definition at line 158 of file blast-parser-parser.h.

## YY_IGNORE_USELESS_CAST_END

#define YY_IGNORE_USELESS_CAST_END

Definition at line 159 of file blast-parser-parser.h.

## YY_INITIAL_VALUE

#define YY_INITIAL_VALUE | ( |  | Value | ) |

Value:
Value

Definition at line 140 of file blast-parser-parser.h.

## YY_MOVE

#define YY_MOVE

Definition at line 77 of file blast-parser-parser.h.

## YY_MOVE_OR_COPY

#define YY_MOVE_OR_COPY copy

Definition at line 78 of file blast-parser-parser.h.

## YY_MOVE_REF

#define YY_MOVE_REF | ( |  | Type | ) |

Value:
Type&

Definition at line 79 of file blast-parser-parser.h.

## YY_NOEXCEPT

#define YY_NOEXCEPT

Definition at line 89 of file blast-parser-parser.h.

## YY_NOTHROW

#define YY_NOTHROW throw ()

Definition at line 90 of file blast-parser-parser.h.

## YY_NULLPTR

#define YY_NULLPTR ((void*)0)

Definition at line 179 of file blast-parser-parser.h.

## YY_REINTERPRET_CAST

#define YY_REINTERPRET_CAST | ( |  | Type,
|  |  | Val )

Value:
((Type) (Val))

Definition at line 168 of file blast-parser-parser.h.

## YY_RVREF

#define YY_RVREF | ( |  | Type | ) |

Value:
const Type&

Definition at line 80 of file blast-parser-parser.h.

## YY_USE

#define YY_USE | ( |  | E | ) |

Value:
((void) (E))

Definition at line 120 of file blast-parser-parser.h.

## YYDEBUG

#define YYDEBUG 1

Definition at line 185 of file blast-parser-parser.h.